import 'package:oc_front/core/services/api_service.dart';
import 'package:oc_front/core/services/specialized_services/abstract_service.dart';
import 'package:oc_front/models/workflow.dart';

class WorflowService extends AbstractService<Workflow> {
  @override
  late final APIService<Workflow> service;
  @override
  String subPath = "/";

  WorflowService() {
    service = APIService<Workflow>(
        baseURL: super.conf.get('WORKFLOW_HOST',
            defaultValue: 'http://localhost:8080/workflow'));
  }
}
