import 'package:flutter/material.dart';
import 'package:oc_front/widgets/inputs/sub_text_input.dart';

class WebReferenceFormsWidget extends StatefulWidget {
  dynamic item;
  WebReferenceFormsWidget ({ super.key, required this.item });
  @override WebReferenceFormsWidgetState createState() => WebReferenceFormsWidgetState();
}
class WebReferenceFormsWidgetState extends State<WebReferenceFormsWidget> {
  @override Widget build(BuildContext context) {
    return Column( children: [
      SubTextInputWidget(subkey: "path", width: 180, empty: false, change: (value) { 
        widget.item.path = value.split(",");
      }, initialValue: widget.item.path, readOnly: true,),
      SubTextInputWidget(subkey: "protocol", width: 180, empty: false, change: (value) { 
        widget.item.protocol = value.split(",");
      }, initialValue: widget.item.protocol, readOnly: true,),
      SubTextInputWidget(subkey: "type", width: 180, empty: false, change: (value) { 
        widget.item.type = value.split(",");
      }, initialValue: widget.item.type, readOnly: true,),
    ]);
  }
}