
import 'package:flutter/material.dart';
import 'package:oc_front/main.dart';
import 'package:oc_front/models/search.dart';
import 'package:oc_front/widgets/items/items_details/data_item.dart';

class ItemWidget extends StatefulWidget {
  AbstractItem item;
  ItemWidget ({ super.key, required this.item });
  @override ItemWidgetState createState() => ItemWidgetState();
}
class ItemWidgetState extends State<ItemWidget> {
  @override Widget build(BuildContext context) {
    Widget w = Container();
    /*  if (isData(widget.item.topic)) { w = DataItemWidget(item: widget.item as DataItem); }
    else if (isComputing(widget.item.topic)) { w = DataItemWidget(item: widget.item as DataItem); }
    else if (isCompute(widget.item.topic)) { w = DataItemWidget(item: widget.item as DataItem); }
    else if (isStorage(widget.item.topic)) { w = DataItemWidget(item: widget.item as DataItem); } */

    return Container(
            height: getHeight(context) - 300,
            child: SingleChildScrollView(
              child: Column( children: [
              widget.item.description == null ? Container() : Container(
                width: getMainWidth(context),
                alignment: Alignment.center,
                decoration: BoxDecoration(border: Border(bottom: BorderSide(color: midColor))),
                padding: const EdgeInsets.all(30), 
                child: Text(widget.item.description!, 
                style: TextStyle(fontSize: 15, color: Colors.grey, fontWeight: FontWeight.w500))), 
              Container(padding: const EdgeInsets.all(30),
                  color: midColor,
                  width: getMainWidth(context) / 2,
                  child: w
            )
          ]
        )
      )
    );
  } 
}